# PhasicFlow: ContactSearch< BaseMethod, WallMapping > Class Template Reference

ContactSearch< BaseMethod, WallMapping > Class Template Reference
Inheritance diagram for ContactSearch< BaseMethod, WallMapping >:
[legend]
Collaboration diagram for ContactSearch< BaseMethod, WallMapping >:
[legend]

## Public Types

using | IdType = typename contactSearch::IdType
using | IndexType = typename contactSearch::IndexType
using | ExecutionSpace = typename contactSearch::ExecutionSpace
using | PairContainerType = typename contactSearch::PairContainerType
using | ParticleContactSearchType = BaseMethod< ExecutionSpace >
using | WallMappingType = WallMapping< ExecutionSpace >
Public Types inherited from contactSearch
using | IdType = typename interactionBase::IdType
using | IndexType = typename interactionBase::IndexType
using | ExecutionSpace = typename interactionBase::ExecutionSpace
using | PairContainerType = unsortedPairs< ExecutionSpace, IdType >
Public Types inherited from interactionBase
using | IndexType = CELL_INDEX_TYPE
using | IdType = ID_TYPE
using | ExecutionSpace = DefaultExecutionSpace

## Public Member Functions

| TypeInfoTemplate2 ("ContactSearch", ParticleContactSearchType, WallMappingType)
| ContactSearch (const dictionary &csDict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers)
| add_vCtor (contactSearch, ContactSearch, dictionary)
bool | broadSearch (PairContainerType &ppPairs, PairContainerType &pwPairs, bool force=false) override
bool | ppEnterBroadSearch () const override
bool | pwEnterBroadSearch () const override
bool | ppPerformedBroadSearch () const override
bool | pwPerformedBroadSearch () const override
Public Member Functions inherited from contactSearch
| TypeInfo ("contactSearch")
| contactSearch (const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers)
virtual | ~contactSearch ()=default
| create_vCtor (contactSearch, dictionary,(const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers),(dict, domain, prtcl, geom, timers))
const auto & | domain () const
const auto & | dict () const
virtual bool | broadSearch (PairContainerType &ppPairs, PairContainerType &pwPairs, bool force=false)=0
Public Member Functions inherited from interactionBase
| interactionBase (const particles &prtcl, const geometry &geom)
const auto & | pStruct () const
const auto & | surface () const
const auto & | Particles () const
auto & | Geometry () const

## Protected Attributes

uniquePtr< ParticleContactSearchType > | particleContactSearch_ = nullptr
uniquePtr< WallMappingType > | wallMapping_ = nullptr
Protected Attributes inherited from contactSearch
const box & | domain_
dictionary | dict_
Timer | sphereSphereTimer_
Timer | sphereWallTimer_
Protected Attributes inherited from interactionBase
const particles & | particles_
const geometry & | geometry_

## Additional Inherited Members

Static Public Member Functions inherited from contactSearch
static uniquePtr< contactSearch > | create (const dictionary &dict, const box &domain, const particles &prtcl, const geometry &geom, Timers &timers)
Protected Member Functions inherited from contactSearch
auto & | dict ()

## Detailed Description

### template<template< class > class BaseMethod, template< class > class WallMapping>
class pFlow::ContactSearch< BaseMethod, WallMapping >

Definition at line 36 of file ContactSearch.hpp.

## Member Typedef Documentation

## IdType

using IdType = typename contactSearch::IdType

Definition at line 42 of file ContactSearch.hpp.

## IndexType

using IndexType = typename contactSearch::IndexType

Definition at line 44 of file ContactSearch.hpp.

## ExecutionSpace

using ExecutionSpace = typename contactSearch::ExecutionSpace

Definition at line 46 of file ContactSearch.hpp.

## PairContainerType

using PairContainerType = typename contactSearch::PairContainerType

Definition at line 48 of file ContactSearch.hpp.

## ParticleContactSearchType

using ParticleContactSearchType = BaseMethod< ExecutionSpace>

Definition at line 52 of file ContactSearch.hpp.

## WallMappingType

using WallMappingType = WallMapping< ExecutionSpace>

Definition at line 56 of file ContactSearch.hpp.

## Constructor & Destructor Documentation

## ContactSearch()

ContactSearch | ( | const dictionary & | csDict,
|  | const box & | domain,
|  | const particles & | prtcl,
|  | const geometry & | geom,
|  | Timers & | timers
| ) |  |

inline

Definition at line 69 of file ContactSearch.hpp.

References contactSearch::dict(), contactSearch::domain(), endREPORT, interactionBase::Geometry(), greenText, ContactSearch< BaseMethod, WallMapping >::particleContactSearch_, interactionBase::Particles(), REPORT, and ContactSearch< BaseMethod, WallMapping >::wallMapping_.

Here is the call graph for this function:

## Member Function Documentation

## TypeInfoTemplate2()

TypeInfoTemplate2 | ( | "ContactSearch< BaseMethod, WallMapping >" | ,
|  | ParticleContactSearchType | ,
|  | WallMappingType |
| ) |  |

## add_vCtor()

add_vCtor | ( | contactSearch | ,
|  | ContactSearch< BaseMethod, WallMapping > | ,
|  | dictionary |
| ) |  |

## broadSearch()

bool broadSearch | ( | PairContainerType & | ppPairs,
|  | PairContainerType & | pwPairs,
|  | bool | force = `false`
| ) |  |

inlineoverride

Definition at line 134 of file ContactSearch.hpp.

References Timer::end(), ContactSearch< BaseMethod, WallMapping >::particleContactSearch_, interactionBase::Particles(), contactSearch::sphereSphereTimer_, contactSearch::sphereWallTimer_, Timer::start(), and ContactSearch< BaseMethod, WallMapping >::wallMapping_.

Here is the call graph for this function:

## ppEnterBroadSearch()

bool ppEnterBroadSearch | ( |  | ) | const

inlineoverridevirtual

Implements contactSearch.

Definition at line 177 of file ContactSearch.hpp.

References ContactSearch< BaseMethod, WallMapping >::particleContactSearch_.

## pwEnterBroadSearch()

bool pwEnterBroadSearch | ( |  | ) | const

inlineoverridevirtual

Implements contactSearch.

Definition at line 186 of file ContactSearch.hpp.

References ContactSearch< BaseMethod, WallMapping >::wallMapping_.

## ppPerformedBroadSearch()

bool ppPerformedBroadSearch | ( |  | ) | const

inlineoverridevirtual

Implements contactSearch.

Definition at line 196 of file ContactSearch.hpp.

References ContactSearch< BaseMethod, WallMapping >::particleContactSearch_.

## pwPerformedBroadSearch()

bool pwPerformedBroadSearch | ( |  | ) | const

inlineoverridevirtual

Implements contactSearch.

Definition at line 206 of file ContactSearch.hpp.

References ContactSearch< BaseMethod, WallMapping >::wallMapping_.

## Member Data Documentation

## particleContactSearch_

uniquePtr<ParticleContactSearchType> particleContactSearch_ = nullptr

protected

Definition at line 61 of file ContactSearch.hpp.

Referenced by ContactSearch< BaseMethod, WallMapping >::broadSearch(), ContactSearch< BaseMethod, WallMapping >::ContactSearch(), ContactSearch< BaseMethod, WallMapping >::ppEnterBroadSearch(), and ContactSearch< BaseMethod, WallMapping >::ppPerformedBroadSearch().

## wallMapping_

uniquePtr<WallMappingType> wallMapping_ = nullptr

protected

Definition at line 63 of file ContactSearch.hpp.

Referenced by ContactSearch< BaseMethod, WallMapping >::broadSearch(), ContactSearch< BaseMethod, WallMapping >::ContactSearch(), ContactSearch< BaseMethod, WallMapping >::pwEnterBroadSearch(), and ContactSearch< BaseMethod, WallMapping >::pwPerformedBroadSearch().

The documentation for this class was generated from the following file:

- src/Interaction/contactSearch/ContactSearch/ContactSearch.hpp